MetricSetControllerGetMetricSetsByIds Method |
POST /MetricSet/GetByIds/
Gets a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetByIds")]
public IActionResult GetMetricSetsByIds(
[FromBodyAttribute] Guid[] entryIds,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetByIds")>
Public Function GetMetricSetsByIds (
<FromBodyAttribute> entryIds As Guid(),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetByIds")]
IActionResult^ GetMetricSetsByIds(
[FromBodyAttribute] array<Guid>^ entryIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetByIds")>]
member GetMetricSetsByIds :
[<FromBodyAttribute>] entryIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- entryIds
- Type: SystemGuid
The IDs of the metric sets to get. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
MetricSetData object containing the metric sets data, or a status code indicating the problem.
See Also